Bug 1029584 - create vm does not work with display protocol vnc and operating system linux
Summary: create vm does not work with display protocol vnc and operating system linux
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.3
Hardware: x86_64
OS: Linux
urgent
high
Target Milestone: ---
: 3.3.1
Assignee: Shahar Havivi
QA Contact: Sven Kieske
URL:
Whiteboard: virt
Keywords: Regression
Depends On:
Blocks: 1019391
TreeView+ depends on / blocked
 
Reported: 2013-11-12 16:36 UTC by Sven Kieske
Modified: 2013-11-25 12:04 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-11-25 12:04:56 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 21252 None None None Never

Description Sven Kieske 2013-11-12 16:36:03 UTC
Description of problem:

Hi,

we just discovered a bug in ovirt-engine 3.3.1 beta from ovirt.org repo:

You can't create a VM with the following options:

set VM-Name
select Operating System: "Other Linux", "Linux", or any Linux distro
click: "Show advanced options"
switch: console: protocol: from SPICE to VNC

Hit "Ok"

receive the following error in webadmin gui:

"Error while executing action:

bug1:

    Cannot add VM. Cannot set single display device via VNC display."


(bug1 is the vm-name)

workaround1: select "other os" or any windows version and the setup works with vnc
workaround2: select spice as protocol
Version-Release number of selected component (if applicable):


Actual results:
vm gets not created

Expected results:
vm does get created, no matter which os is selected

Additional info:

I suggest this as a blocker bug for 3.3.1 release

Comment 1 Michal Skrivanek 2013-11-12 19:14:57 UTC
shahar, more recent QXL fix is missing a backport?

Comment 2 Shahar Havivi 2013-11-13 07:34:23 UTC
patch fc59dbcf718c1dc627d4deb7af4d777ff3781eff is missing from branch                                                                                          
origin/ovirt-3.3.1

Comment 3 Sandro Bonazzola 2013-11-14 10:19:33 UTC
oVirt gerrit 21252 has been merged in 3.3.1 branch.

Comment 4 Sven Kieske 2013-11-15 10:24:49 UTC
I can confirm that this works with 3.3.1-2
we were also able to set the correct keyboard layout.

Comment 5 Sandro Bonazzola 2013-11-15 10:37:54 UTC
(In reply to Sven Kieske from comment #4)
> I can confirm that this works with 3.3.1-2
> we were also able to set the correct keyboard layout.

thanks!

Comment 6 Sandro Bonazzola 2013-11-25 12:04:56 UTC
oVirt 3.3.1 has been released


Note You need to log in before you can comment on or make changes to this bug.